# spec file for package togaII-142 (Version 1.4.2JD)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           togaII-142
Version:        1.4.2JD
Release:        0.pm.1.1
License:        GPL v2 or later
Group:          Amusements/Games/Board/Chess
URL:            http://alpha.uhasselt.be/Research/Algebra/Toga/linux_versions/
Source:         toga2-142JD_posix.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:        %{name}-polyglot.sh
Source4:	toga2.6
Source5:	%{name}.ini
Source6:	Performance.bin
Source7:	README.Debian
Source100:	%{name}.changes
Patch0:		%{name}-Makefile.patch
Patch1:         %{name}-multithreading.patch
Patch2:         %{name}-egbb_path.patch
Patch3:		%{name}-openSUSE-Factory-fix_linking.patch
Patch4:		%{name}-set_nrthreads.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
TogaII is an improved version of the well known UCI chess engine fruit and was based on fruit's last OSS version 2.1.
As togaII uses UCI (universal chess interface, UCI) you will need a uci-compliant user interface to play against toga2.
You can also use polyglot as an "UCI to xboard"-adapter to use togaII with xboard-compatible programs.
TogaII's ELO-rating is about 2800 points.

Authors:
--------
		Fabien Letouzey (Fruit 2.1), Thomas Gaksch (Toga II), Daniel Shawul (egbb code), Chris Formula (SE enhancements), Jerry Donald (JD enhancements).
		Oliver Korff <ok@xynyx.de> (manual page, and README with information on using egbb taken from Debian upstream)
		Marc Lacrosse (opening book "Performance.bin")



%prep
%setup -q -n src
cp %{SOURCE7} .
%patch0 -p0
%patch1 -p0
%patch2 -p0
%if 0%{?suse_version} >= 1120
%patch3 -p0
%endif
%patch4 -p1

dos2unix COPYING LICENSE readme142JD.txt

%build
# use Performance.bin as default book with UCI
sed -i 's/performance\.bin/Performance\.bin/g' option.cpp
%{__make}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 755 toga2 $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/toga2.6* 
%doc COPYING LICENSE readme142JD.txt README.Debian
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sat Feb  6 2010 packman@links2linux.de - 1.4.2
- initial package, based on spec and patches for togaII-141 (SE)
